#
# spec file for package pstoedit (Version 3.44)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    ImageMagick ImageMagick-Magick++ ImageMagick-Magick++-devel ImageMagick-devel Mesa aaa_base acl atk attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 cairo coreutils cpio cpp cracklib cups-libs cvs cyrus-sasl db diffutils e2fsprogs expat file filesystem fillup findutils flex fontconfig fontconfig-devel freetype2 freetype2-devel gawk gcc gcc-c++ gdbm gdbm-devel gettext gettext-devel ghostscript-fonts-std ghostscript-library ghostscript-x11 glib2 glibc glibc-devel glibc-locale glitz gnome-filesystem gpm grep groff gtk2 gzip info insserv joe klogd less libEMF libEMF-devel libacl libattr libcom_err libdrm libexif libgcc libgimpprint libjasper libjpeg libjpeg-devel liblcms liblcms-devel libnetpbm libnscd libpng libpng-devel libstdc++ libstdc++-devel libtiff libtiff-devel libtool libwmf libwmf-devel libxcrypt libxml2 libxml2-devel libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg netpbm openldap2-client openmotif-libs openssl pam pam-modules pango patch perl permissions pkgconfig popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone transfig unzip util-linux vim xaw3d xfig xorg-x11-devel xorg-x11-libs zlib zlib-devel

Name:           pstoedit
BuildRequires:  ImageMagick-Magick++-devel >= 6.2.6.0 gcc-c++ ghostscript-fonts-std ghostscript-x11 joe libexif pkgconfig xfig
%ifarch %ix86 ppc
BuildRequires:  libEMF-devel
%endif
License:        GPL, Other License(s), see package
Group:          Productivity/Publishing/PS
Requires:       ghostscript_any
Autoreqprov:    on
Summary:        PostScript and PDF Converter
Version:        3.44
Release:        11.5
Source:         http://mesh.dl.sourceforge.net/sourceforge/pstoedit/pstoedit-%{version}.tar.gz
Patch0:         pstoedit-CXXFLAGS.patch
Patch1:         pstoedit-no_builddir_in_la_file.patch
#Patch2:       pstoedit-codecleanup.patch
Patch3:         pstoedit-manpages.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
URL:            http://www.pstoedit.net/

%description
pstoedit converts PostScript and PDF files to other vector graphic
formats so that they can be edited graphically.  pstoedit supports:

* tgif: 	  Tgif .obj format (for tgif version >= 3)

* rpl:		  Real3D Programming Language Format

* lwo:		  LightWave 3D Object Format

* rib:		  RenderMan Interface Bytestream

* mif:		  (Frame)Maker Intermediate Format

* fig:		  .fig format for xfig

* xfig: 	  .fig format for xfig

* pdf:		  Adobe's Portable Document Format

* gnuplot:	  gnuplot format

* ps:		  Flattened PostScript

* debug:	  for test purposes

* dump: 	  for test purposes (same as debug)

* dxf:		  CAD exchange format

* java 1 and 2:   java applet source code

* idraw:	  Interviews draw format

* tcl/tk:	  Tcl/Tk

* hpgl: 	  HPGL

* AI:		  Adobe Illustrator

* wmf:		  Windows Meta Files (WMF) (Windows 9x/NT only)

* ewm:		  Enhanced Windows Meta Files (EMF) (Windows 9x/NT
   only)

* OS/2 meta files (OS/2 only)

* PIC format for troff/groff

* MetaPost format for usage with TeX/LaTeX

* LaTeX2e picture

* Kontour

* GNU Metafile (plotutils / libplot)

* Skencil formerly known as sketch  ( http://www.skencil.org )

* Mathematica

* via ImageMagick to any format supported by ImageMagick

* SWF (beta release state--still lots of features missing, such as
   fonts, dash handling, etc.)

pstoedit needs an installed Ghostscript interpreter.



Authors:
--------
    Wolfgang Glunz <Wolfgang.Glunz@mchp.siemens.de>

%debug_package
%package devel
Summary:        PostScript and PDF converter
Group:          Productivity/Publishing/PS
Requires:       %name = %{PACKAGE_VERSION}
Requires:       ImageMagick-devel >= 6.2.6.0 ImageMagick-Magick++-devel >= 6.2.6.0

%description devel
pstoedit converts Postscript(TM) and PDF files to other vector graphic
formats so that they can be edited graphically.  pstoedit supports:

tgif:		Tgif .obj format (for tgif version >= 3)

rpl:		Real3D Programming Language Format

lwo:		LightWave 3D Object Format

rib:		RenderMan Interface Bytestream

mif:		(Frame)Maker Intermediate Format

fig:		.fig format for xfig

xfig:		.fig format for xfig

pdf:		Adobe's Portable Document Format

gnuplot:	gnuplot format

ps:		Flattened PostScript

debug:		for test purposes

dump:		for test purposes (same as debug)

dxf:		CAD exchange format

java:		java applet source code

idraw:		Interviews draw format

pstoedit needs an installed Ghostscript interpreter.



Authors:
--------
    Wolfgang Glunz <Wolfgang.Glunz@mchp.siemens.de>

%define INSTALL install -m755 -s
%define INSTALL_DIR install -d -m755
%define INSTALL_DATA install -m644
%prep
%setup -q
%patch0 
%patch1
# %patch2
%patch3
%{suse_update_config -f config}

%build
autoreconf -fi
export CFLAGS="%optflags -g"
export LDFLAGS="$LDFLAGS -g"
export CXXFLAGS="%optflags"
%ifarch axp %ix86 ppc sparc
CPPFLAGS="-I/usr/include/libEMF"
EMF_OPT=--with-libemf-include=/usr/include/libEMF
%endif
./configure --prefix=%{_prefix} --mandir=%{_mandir} --libdir=%{_libdir} $EMF_OPT
make

%install
make DESTDIR=%{buildroot} install
make clean
make DESTDIR=%{buildroot} install
DESTDIR=%{buildroot} libtool --finish %{_libdir}/pstoedit
#%clean
#rm -rf %{buildroot}

%post
%run_ldconfig

%postun
%run_ldconfig

%files
%defattr(-, root, root)
%doc copying
%doc examples
%doc doc/*.htm
%{_bindir}/pstoedit
%{_libdir}/*.so.*
%dir %{_libdir}/pstoedit
%{_libdir}/pstoedit/*.so
%{_libdir}/pstoedit/*.so.*
%{_datadir}/%{name}
%{_mandir}/*/*

%files devel
%defattr(-, root, root)
#%{_bindir}/pstoedit-config
%{_libdir}/*.so
%{_libdir}/*.*a
%{_libdir}/pstoedit/*.*a
%{_prefix}/include/pstoedit
%{_libdir}/pkgconfig/*.pc
%{_datadir}/aclocal/*

%changelog -n pstoedit
* Mon Mar 13 2006 - ke@suse.de
- Update to version 3.44:
  * Use secure versions of several functions where possible.
  * Add a driver for the OpenOffice metafile format.
- Add pkgconfig to BuildRequires.
- Drop obsolete codecleanup patch.
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Mon Oct 24 2005 - ke@suse.de
- Update to version 3.42.
* Thu Sep 01 2005 - pth@suse.de
- Update to version 3.41 which fixes the SIGSEGV (#113777)
- Fix LDFLAGS so that buildroot vanishes from .la file
- Fix CXXFLAGS.
- Handle man pages via Makefile instead of spec file.
* Tue Aug 02 2005 - ke@suse.de
- Update to version 3.40.
- Adjust Requires.
* Tue Sep 14 2004 - ro@suse.de
- added ImageMagick-Magick++-devel to neededforbuild
* Tue Jun 29 2004 - ro@suse.de
- added libtiff to neededforbuild
* Wed Feb 04 2004 - ro@suse.de
- libEMF does not compile with "-pedantic", remove
* Sat Jan 10 2004 - adrian@suse.de
- add %%run_ldconfig
* Mon Jul 28 2003 - meissner@suse.de
- Added libexif to nfb.
* Wed Jul 02 2003 - ke@suse.de
- Update to version 3.33.
* Wed Jul 02 2003 - ro@suse.de
- remove buildroot traces from installed files
* Thu Jun 12 2003 - kukuk@suse.de
- Add lib directory to filelist
* Fri Jan 03 2003 - ke@suse.de
- Add liblcms-devel to neededforbuild.
- Fix license tag.
- Fix description in PDB.
* Thu Nov 21 2002 - sbrabec@suse.cz
- Turned on EMF/WMF support (needs libEMF).
* Mon Nov 11 2002 - sbrabec@suse.cz
- Updated to version 3.32.
- Added dependencies for new features.
- Splitted to pstoedit and pstoedit-devel.
- Install root workaround for of plugins (LDFLAGS and sed script).
* Tue Apr 09 2002 - ro@suse.de
- don't apply gcc-3 patch if running gcc-2.95
* Sun Apr 07 2002 - schwab@suse.de
- Fix for gcc3.
* Fri Mar 22 2002 - ke@suse.de
- Call suse_update_config and regenerate configure to make it build on
  architecture != x86.
* Fri Feb 01 2002 - ro@suse.de
- changed neededforbuild <libpng> to <libpng-devel-packages>
* Thu Jan 03 2002 - ke@suse.de
- Update to version 3.31:
- Fixes and enhancements to EMF/WMF, HPGL, CGM, DXF, and SVG.
- Data files are in /usr/share/pstoedit .
- Drop DESTDIR patch (it's in the original 3.31 release).
* Thu Nov 08 2001 - ke@suse.de
- Make cgmdraw a package on its own.
- Cleanup spec file: enable %%clean; enable test suite; remove unused
  variables.
* Thu Nov 08 2001 - ke@suse.de
- Update to version 3.30 (proposed by Wolfgang Glunz and Uwe Drechsel,
  [# 12218]):
- Support more backends; lots of enhancements and cleanups.
- Compatible with plotutils 2.4.1.
* Fri Jul 20 2001 - kukuk@suse.de
- changed neededforbuild <gs_fonts> to <ghostscript-fonts-std>
- changed neededforbuild <gs_lib> to <ghostscript-library>
- changed neededforbuild <gs_x11> to <ghostscript-x11>
* Fri Nov 17 2000 - ke@suse.de
- update to version 3.21.
- cleanup spec file; use macros, add group tag (#4246).
* Fri Jun 02 2000 - ke@suse.de
- update to version 3.18.
- start to cleanup the spec file.
- use DESTDIR.
* Mon Sep 20 1999 - ro@suse.de
- added requires ghostscript_any
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Mon Apr 05 1999 - bs@suse.de
- fixed date strings in .changes.
* Tue Feb 23 1999 - ke@suse.de
- update: version 3.03.
* Fri Nov 13 1998 - bs@suse.de
- fixed spec file (double entries)
* Thu Nov 12 1998 - bs@suse.de
- fixed spec file for new rpm.
* Mon Dec 08 1997 - ke@suse.de
- rename the cd package: now its called cgmdraw.
- list /usr/include/cd.h and /usr/lib/libcd.a in %%files.
* Wed Dec 03 1997 - ke@suse.de
- initial package: pstoedit 2.60 and cd 1.3.
